# ماركداون (Markdown)

المراد من هذه الورقة أن تكون مرجعا سريعا وأن تُظهر صياغة ماركداون في QOwnNotes.

## العناوين

استخدم العنوان لتنظيم نصوصك.

```markdown
# عنوان مستوى أول
## عنوان مستوى ثان
### عنوان مستوى ثالث
#### عنوان مستوى رابع
##### عنوان مستوى خامس
###### عنوان مستوى سادس
```

::: tip
**لوحة التنقل** تُظهر هيكل عناوينك.
:::

كبديل، للعناوين من المستويين الأول والثاني، يمكن تسطيرهم هكذا:

```markdown
شكل بديل لعناوين المستوى الأول
==================================

شكل بديل لعناوين المستوى الثاني
------------------------------------
```

::: tip
بشكل افتراضي QOwnNotes ينشئ **اسم ملف الملاحظة** من **عنوان المستوى الأول** (h1).
:::

## التوكيد

```markdown
التوكيد البسيط، أو الخط المائل، يكون *بنجمة واحدة على كل جانب*.

التوكيد القوي، أو الخط العريض، يكون **بنجمتين اثنتين على كل جانب**.
```

::: tip
يمكنك استخدام [الاختصار](./shortcuts.md) <kbd>Ctrl + B</kbd> لجعل النص عريضًا وأيضا <kbd>Ctrl + I</kbd> لجعله مائلًا.
:::

## التسطير

يوجد كذلك إعداد اختياري لتفعيل عرض التسطير في *إعدادات المعاينة*.

```markdown
_مسطر_
```

::: tip
يمكنك استخدام [الاختصار](./shortcuts.md) <kbd>Ctrl + U</kbd> لتسطير نص.
:::

## الشطب

```markdown
~~مشطوب~~
```

::: tip
يمكنك استخدام [الاختصار](./shortcuts.md) <kbd>Alt + Shift + S</kbd> لشطب نص.
:::

## القوائم

توجد طرق عديدة لإنشاء قوائم.

```markdown
1. العنصر الأول في قائمة مرقمة
2. عنصر آخر
  * قائمة منقوطة فرعية.
1. الرقم الفعلي غير مهم؛ المهم أنه رقم
  1. قائمة مرقمة فرعية (تعمل فقط في المحرر، ولا تعمل في المعاينة)
4. وعنصر آخر.

* القوائم المنقوطة قد تستخدم النجوم
- أو الشرطات
+ أو علامات الجمع
```

::: tip
إذا ضغطت <kbd>Enter</kbd> في نهاية قائمة، سيتم إنشاء عنصر قائمة جديد.
:::

## الروابط

أكثر استخدام الروابط للإشارة إلى صفحات ويب أو إلى ملاحظات أخرى. وتُعرَّف الروابط بأكثر من طريقة.

### الروابط الخارجية

```markdown
[أنا رابط مُعرَّف في مكاني](https://www.google.com)

[أنا رابط مُعرَّف في مكاني ولي عنوان](https://www.google.com "الصفحة الرئيسية لـGoogle")

[يمكنك استخدام الأرقام لتعريف الروابط بأسلوب المراجع][1]

الروابط المجردة والروابط المحاطة بأقواس زاويّة ستُحوّل آليًا إلى روابط في المعاينة. 
http://www.example.com أو <http://www.example.com>

[1]: https://www.qownnotes.org
```

### الروابط الداخلية

```markdown
[هذا رابط لملف ملاحظة اسمه Journal.md](Journal.md)

<Journal.md> يعمل أيضا.
```

::: tip
يمكنك استخدام [الاختصار](./shortcuts.md) <kbd>Ctrl + L</kbd> **لإنشاء روابط إلى صفحات ويب أو إلى ملاحظات أخرى**.

اضغط <kbd>Ctrl + Shift + X</kbd> لإظهار حوار يساعدك في **إدراج مرفق** في الملاحظة.

يمكنك ضغط <kbd>Ctrl + Space</kbd> والمؤشر على رابط في محرر الملاحظات لفتحه.
:::

### الإشارات المرجعية

الإشارات المرجعية المستخدمة في [إضافة المتصفح رفيقة ويب QOwnNotes](./browser-extension.md) تستخدم روابط في قوائم.

```markdown
- [اسم صفحة الوب](https://www.example.com) #وسم١ #وسم٢ شيء من الوصف والوسوم
```

## الصور

يمكن تضمين الصور في QOwnNotes. وستظهر في المعاينة.

```markdown
![نص بديل](media/my-image.jpg)
```

::: tip
استخدم [الاختصار](./shortcuts.md) <kbd>Ctrl + Shift + I</kbd> لإدراج صورة في الملاحظة. يمكن أن تكون الصورة أيضا في الحافظة؛ سيكتشفها الحوار ويظهر معاينة لها.

يمكنك أيضا لصق الصورة من الحافظة مباشرةً في الملاحظة بالاختصار <kbd>Ctrl + Shift + V</kbd>.
:::


## الأكواد المضمّنة وكتل الأكواد

```markdown
`الأكواد` المضمّنة في السطر حولها `فاصلة عُليا مائلة` (زر `ذ` في تخطيط لوحة المفاتيح الإنجليزي الشائع، أو `Shift + ع` في التخطيط العربي الشائع).
```

::: tip
يمكنك استخدام [الاختصار](./shortcuts.md) <kbd>Ctrl + Shift + C</kbd> على نص محدد، أو مجرد داخل نص، لجعله كود مضمّن.
:::

كتل الأكواد إما أن تكون مُسوّرة بسطرين كلٍ منهما به ثلاث فاصلات عُليا مائلة، وإما أن تكون سطورها مبدوءة بأربع مسافات.

### سور المسافات الأربعة

أضف أربع مسافات في بداية كل سطر من سطور كودك لتنسيقه ككتلة كود.

```markdown
    <div dir="ltr">s = "كود بمسافات بادئة"
    print s</div>
```

### سور الفاصلات العليا المائلة

يمكنك أيضا استخدام ثلاث فاصلات عليا مائلة لإنشاء كتلة كود.
~~~markdown
```
الكود يأتي هنا
الكود يأتي هنا
```
~~~

::: tip
يمكنك استخدام [الاختصار](./shortcuts.md) <kbd>Ctrl + Shift + C</kbd> على
عدد من السطور المحددة أو في سطر فارغ لإنشاء كتلة كود. 
:::

### سور الفاصلات مع تلوين الأكواد

يوجد كذلك شيء من التلوين النحوي لكتل الأكواد في QOwnNotes.

<div dir="ltr">
~~~markdown
```bash
# أنا تعليق
cd Notes
</div>
```
~~~

اللغات المدعومة حاليا (ومعرِّفات كتل الأكواد) هي:

* BASh scripting, `bash`
* C, `c`
* C++, `cpp`
* C++, `cxx`
* C++, `c++`
* C#, `c#`
* CMake, `cmake`
* C#, `csharp`
* CSS, `css`
* Go, `go`
* HTML, `html`
* INI, `ini`
* Java, `java`
* JavaScript, `javascript`
* JavaScript, `js`
* JSON, `json`
* Makefile, `make`
* PHP, `php`
* Python, `py`
* Python, `python`
* QML, `qml`
* Rust, `rust`
* Shell scripting, `sh`
* SQL, `sql`
* TypeScript, `ts`
* TypeScript, `typescript`
* V, `v`
* Vex, `vex`
* XML, `xml`
* YAML, `yml`
* YAML, `yaml`

## الجداول

الجداول ليست جزءًا من جوهر مواصفات ماركداون، لكن معاينة QOwnNotes تدعمها. 

```markdown
يمكن استخدام النقطتين الرأسيتين لمحاذاة الأعمدة.

| الجداول        | رائعة           | حقا  |
| ------------- |:-------------:| -----:|
| العمود الثالث      | محاذى لليمين | $1600 |
| العمود الثاني      | ممركز      |   $12 |
| خطوط الحمار الوحشي | جميلة وأنيقة      |    $1 |

يجب فصل كل خلية ترويسة بثلاث شرطات على الأقل.

يمكنك أيضا استخدام ماركداون داخل خلايا الجداول.

| ماركداون | أقل | جمالا |
| --- | --- | --- |
| *ما زال* | `يُعرض` | **بإتقان** |
| 1 | 2 | 3 |
~~~

::: tip
اضغط <kbd>Alt + Shift + T</kbd> لإظهار حوار يساعدك في إنشاء الجداول. يمكنك حتى استيراد ملفات CSV في ذلك الحوار.

استخدم <kbd>Ctrl + Space</kbd> داخل جدول ماركداون لتنسيقه آليًا.
:::

## كتل الاقتباس

```markdown
> كتل الاقتباس مفيدة جدا في رسائل البريد الإلكتروني لمحاكاة الرد على نص.
> هذا السطر جزء من نفس الاقتباس.

كسر الاقتباس.

> هذا سطر طويل جدا ولكنه سيُنسّق بشكل سليم كاقتباس عندما يلف إلى السطر التالي. ياه يا فتى، لنستمر في الكتابة حتى نضمن أن هذا بالطول الكافي لكي يلف فعلا عند الجميع. آه، يمكنك *وضع* **ماركداون** داخل كتلة اقتباس. 
```

::: tip
يمكنك إخبار QOwnNotes أن يظلّل كتل الاقتباس بكاملها أو أن يظلّل حرف الاقتباس فقط، في *إعدادات المحرر*

يمكنك استخدام [الاختصار](./shortcuts.md) <kbd>Ctrl + Shift + B</kbd> لجعل النص المحدد كتلة اقتباس.
:::

## مسطرة أفقية

توجد ثلاث طرق للحصول على مسطرة أفقية: الشَرطات، والشرطات السفلية، والنجوم.

```markdown
ثلاث أو أكثر...

شرطات

---

شرطات سفلية

___

نجوم

***
```

## فصل السطور

- يمكنك فصل فقرة إلى أكثر من سطر واحد لتسهيل التحرير، ستظل هذه السطور تُعرض في المعاينة كفقرة واحدة بلا فواصل.
- يمكن فرض سطر جديد داخل فقرة بإنهاء السطر بمسافتين.
- يمكنك إنشاء فقرة مستقلة بفصلها عما قبلها وبعدها بسطر فارغ.

::: tip
يمكنك إضافة مسافتين وسطر جديد بالاختصار <kbd>⇧ Shift</kbd> + <kbd>Enter</kbd>.
:::

```markdown
إليك سطر لنبدأ به.

هذا السطر مفصول عن سابقه بسطرين جديدين، لذا فإنه يكون *فقرة منفصلة*.

وأيضا هذا السطر يبدأ فقرة منفصلة، لكن...  
هذا السطر مفصول فقط بمسافتين وسطر جديد واحد، لذا فإنه سطر منفصل في *نفس الفقرة*.
```

::: tip
يظلّل المحرر بشكل افتراضي المسافات التي في آخر السطر.
:::

## التعليقات

لا تظهر التعليقات في المعاينة.

```markdown
[comment]: # (لن يظهر هذا التعليق في المعاينة)

<!-- تعليقات هتمل مخفية أيضا -->
```

::: tip
سيتم كذلك تجاهل أي تعليق HTML في بداية الملاحظة عند توليد اسم ملف الملاحظة آليًا.
:::

## قوائم مربعات الاختيار

يمكنك إنشاء قوائم مهام بسيطة باستخدام قوائم مربعات الاختيار.

```markdown
- [x] تم
- [ ] افعل
```

::: tip
يمكنك اختيار أو تفريغ مربعات الاختيار في المعاينة.
:::

## التمهيد (Frontmatter)

في QOwnNotes، يمكنك استخدام تمهيد (مثلا YAML) لإضافة بعض المعلومات الوصفية الإضافية. هذه المعلومات **لن تظهر في المعاينة** وكذلك **لن تعيق التوليد الآلي لاسم ملف الملاحظة**.

```markdown
---
title: اسمٌ ما
description: شيءٌ من الوصف
---

# العنوان الرئيسي للملاحظة يبدأ هنا

شيءٌ من النص
```

اسم ملف الملاحظة في هذا المثال سيكون `العنوان الرئيسي للملاحظة يبدأ هنا.md`.
